# Uses of Class
org.apache.sysds.runtime.controlprogram.caching.TensorObject

Packages that use TensorObject
Package
Description
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.controlprogram.context

## Uses of TensorObject in org.apache.sysds.runtime.controlprogram.caching

Constructors in org.apache.sysds.runtime.controlprogram.caching with parameters of type TensorObject
Modifier
Constructor
Description
``
`TensorObject(TensorObject fo)`
Copy constructor that copies meta data but NO data.

## Uses of TensorObject in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return TensorObject
Modifier and Type
Method
Description
`TensorObject`
ExecutionContext.`getTensorObject(String varname)`
Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type TensorObject
Modifier and Type
Method
Description
`PartitionedBroadcast<TensorBlock>`
SparkExecutionContext.`getBroadcastForTensorObject(TensorObject to)`
`org.apache.spark.api.java.JavaPairRDD<?,?>`
SparkExecutionContext.`getRDDHandleForTensorObject(TensorObject to, Types.FileFormat fmt, int numParts, boolean inclEmpty)`